Loading...
Searching...
No Matches
ExtractTileOperations.h File Reference

Defines the lowering pass that injects calls to tile intrinsics that support AMX instructions. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::extract_tile_operations (const Stmt &s)
| Rewrite any AMX tile operations that have been stored in the AMXTile memory type as intrinsic calls, to be used in the X86 backend.

## Detailed Description

Defines the lowering pass that injects calls to tile intrinsics that support AMX instructions.

Definition in file ExtractTileOperations.h.